package com.gx.obe.template.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import com.gx.obe.ColorConstants;
import com.gx.obe.common.widget.composite.CTitleComposite;
import com.gx.obe.dynamicview.view.DynamicForm;
import com.gx.obe.dynamicview.view.DynamicGrid;
import com.gx.obe.template.entity.ProjectTemplate;
import com.swtdesigner.SWTResourceManager;

/**
 * @Description: 项目模板管理界面
 * @author chenxw
 */
public class ProjectTemplateManageComposite3 extends Composite {
	
	public ProjectTemplateManageComposite3(Composite parent, int style) {
		super(parent, style);
		setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		setBackgroundMode(SWT.INHERIT_FORCE);
		setLayout(new GridLayout(1, false));
		
		CTitleComposite titleComposite = new CTitleComposite(this, SWT.NONE) {
			@Override
			protected void initLinkComposite(Composite linkComposite) {
				super.initLinkComposite(linkComposite);
			}
		};
		titleComposite.setLayout(new GridLayout(2, false));
		titleComposite.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		Composite lowerComposite = new Composite(this, SWT.NONE);
		lowerComposite.setBackground(ColorConstants.BORDER_LINE_COLOR);
		GridLayout gl_composite_1 = new GridLayout(3, false);
		gl_composite_1.verticalSpacing = 1;
		gl_composite_1.horizontalSpacing = 1;
		gl_composite_1.marginHeight = 1;
		gl_composite_1.marginWidth = 1;
		lowerComposite.setLayout(gl_composite_1);
		lowerComposite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
		
		Composite queryComposite = new Composite(lowerComposite, SWT.NONE);
		queryComposite.setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		GridData gd_composite = new GridData(SWT.FILL, SWT.FILL, false, false, 1, 1);
		gd_composite.widthHint = 400;
		queryComposite.setLayoutData(gd_composite);
		queryComposite.setLayout(new GridLayout(1, false));
		
		DynamicForm dynamicForm = new DynamicForm(queryComposite, SWT.NONE, ProjectTemplate.class);
		dynamicForm.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		Label lblNewLabel_3 = new Label(lowerComposite, SWT.NONE);
		lblNewLabel_3.setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		GridData gd_lblNewLabel_3 = new GridData(SWT.FILL, SWT.FILL, false, true, 1, 1);
		gd_lblNewLabel_3.widthHint = 5;
		lblNewLabel_3.setLayoutData(gd_lblNewLabel_3);
		
		Composite composite_2 = new Composite(lowerComposite, SWT.NONE);
		composite_2.setBackground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		composite_2.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
		GridLayout gl_composite_2 = new GridLayout(1, false);
		gl_composite_2.marginHeight = 0;
		gl_composite_2.marginWidth = 0;
		composite_2.setLayout(gl_composite_2);
		
		DynamicGrid grid = new DynamicGrid(composite_2, SWT.NONE, ProjectTemplate.class);
		grid.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1));
		
	}

	public void refresh() {
		
	}
	
}
