package com.gx.obe.template.entity;

import java.io.File;
import java.util.Date;

import com.gx.obe.dynamicview.annotation.FormItem;
import com.gx.obe.dynamicview.annotation.TableCol;
import com.gx.obe.dynamicview.annotation.Transmit;
import com.gx.obe.dynamicview.converter.type.JsonToBeanType;
import com.gx.obe.dynamicview.enums.ColAlignEnum;
import com.gx.obe.template.converter.TemplateTypeToString;
import com.gx.obe.template.vo.ProjectTypeVo;
import com.gx.obe.util.utils.StringUtils;

/**
 * @Description: 项目模板关系表
 * @author guoyr
 */

/**
 * @preserve private
 */
public class ProjectTemplate {
	
	/**
	 * 主键
	 */
	private String id;
	/**
	 * 模板外键
	 */
	private String templateId;
	/**
	 * 修改时间
	 */
	private Date modifyDate;
	/**
	 * 模板名称
	 */
	@TableCol(value = "模板名称", align = ColAlignEnum.LEFT)
	private String localTemplateName;
	/**
	 * 模板后缀
	 */
	private String localTemplateSuffix;
	/**
	 * 模板类型
	 */
	@TableCol(value = "模板类型", type = TemplateTypeToString.class)
	@FormItem(value = "模板类型")
	private String templateType;
	/**
	 * 项目类型
	 */
	@Transmit(value = ProjectTypeVo.class, type = JsonToBeanType.class)
	private String projectType;
	
	private String fileType;//00:系统默认模板；01:自定模板;02:项目模板
	
	private File file;
	
	private boolean defaultType;
	
	public String getLocalTemplateName() {
		return localTemplateName;
	}
	
	public void setLocalTemplateName(String localTemplateName) {
		this.localTemplateName = localTemplateName;
	}
	
	public String getLocalTemplateSuffix() {
		return localTemplateSuffix;
	}
	
	public void setLocalTemplateSuffix(String localTemplateSuffix) {
		this.localTemplateSuffix = localTemplateSuffix;
	}
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getTemplateId() {
		return templateId;
	}
	
	public String getTemplateFileName() {
		return StringUtils.allConcat(templateId, localTemplateSuffix);
	}
	
	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}
	
	public String getTemplateType() {
		return templateType;
	}
	
	public void setTemplateType(String templateType) {
		this.templateType = templateType;
	}
	
	public String getFileType() {
		return fileType;
	}
	
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	
	public String getProjectType() {
		return projectType;
	}
	
	public void setProjectType(String projectType) {
		this.projectType = projectType;
	}
	
	public File getFile() {
		return file;
	}
	
	public void setFile(File file) {
		this.file = file;
	}
	
	public Date getModifyDate() {
		return modifyDate;
	}
	
	public void setModifyDate(Date modifyDate) {
		this.modifyDate = modifyDate;
	}
	
	public boolean isDefaultType() {
		return defaultType;
	}

	public void setDefaultType(boolean defaultType) {
		this.defaultType = defaultType;
	}

}
