package com.gx.obe.template.enumeration;

import java.util.Arrays;
import java.util.Objects;

public enum TemplateTypeEnum {
	
	/**
	 * 空
	 */
	NULL(null, ""),
	/**
	 * 投标人签到模板
	 */
	SUPPLIER_SIGN("01", "投标人签到模板"),
	/**
	 * 开标一览表模板
	 */
	OPEN_BID("02", "开标一览表模板"),
	/**
	 * 供应商其他信息表
	 */
	BID_PRICE("03", "供应商其他信息表"),
	/**
	 * 专家签到模板
	 */
	EXPERT_SIGN("04", "专家签到模板"),
	/**
	 * 符合性评审明细模板
	 */
	COMPLIANCE_DETAIL("05", "符合性评审明细模板"),
	/**
	 * 符合性评审汇总模板
	 */
	COMPLIANCE_COLLECT("06", "符合性评审汇总模板"),
	/**
	 * 价格得分模板
	 */
	PRICE_SCORE("07", "价格得分模板"),
	/**
	 * 评委打分明细模板
	 */
	SCORE_DETAIL("08", "评委打分明细模板"),
	/**
	 * 评委打分汇总模板
	 */
	SCORE_COLLECT("09", "评委打分汇总模板"),
	/**
	 * 评标报告模板
	 */
	EVALUATION_REPORT("10", "评标报告模板"),
	/**
	 * 询标函
	 */
	INQUIRE_ENVELOP("11", "询标函");
	
	private String key;
	private String value;
	
	private TemplateTypeEnum(String key, String value) {
		this.key = key;
		this.value = value;
	}
	
	public String getKey() {
		return key;
	}
	
	public String getValue() {
		return value;
	}
	
	public static TemplateTypeEnum getByKey(String key) {
		return Arrays.stream(values()).filter(t -> Objects.equals(t.getKey(), key)).findAny().orElse(null);
	}
	
}
