package com.gx.obe.template.utils;

import java.io.File;
import java.util.Optional;

import com.gx.obe.template.entity.ProjectTemplate;
import com.gx.obe.template.enumeration.TemplateFileTypeEnum;
import com.gx.obe.util.utils.MD5Utils;
import com.gx.obe.util.utils.UuidUtils;

public class ProjectTemplateUtils {
	
	public static ProjectTemplate create(File file) {
		String localTemplateName = Optional.ofNullable(file).map(File::getName).get();
		ProjectTemplate projectTemplate = new ProjectTemplate();
		projectTemplate.setLocalTemplateName(localTemplateName);
		projectTemplate.setLocalTemplateSuffix(Optional.of(localTemplateName.lastIndexOf(".")).filter(t -> t != -1).map(localTemplateName::substring).get());
		projectTemplate.setId(UuidUtils.getUUID());
		projectTemplate.setTemplateId(Optional.ofNullable(file).map(MD5Utils::getFileMD5).get());
		projectTemplate.setFileType(TemplateFileTypeEnum.CUSTOM.getType());
		projectTemplate.setFile(file);
		return projectTemplate;
	}
	
	public static ProjectTemplate create(String pathname) {
		return create(new File(pathname));
	}
	
}
